Last Comment Bug 675916 - nsTreeSanitizer should restart iteration over attributes when nsTreeSanitizer::SanitizeURL removes an attribute
: nsTreeSanitizer should restart iteration over attributes when nsTreeSanitizer...
Status: RESOLVED FIXED
[inbound][qa-]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01)
:
Mentors:
Depends on:
Blocks: 482909
  Show dependency treegraph
 
Reported: 2011-08-02 06:04 PDT by Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01)
Modified: 2011-10-04 08:56 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Restart the loop when an URL attribute is removed (5.21 KB, patch)
2011-08-02 07:54 PDT, Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01)
no flags Details | Diff | Splinter Review
Restart the loop when an URL attribute is removed, with proper indent (5.42 KB, patch)
2011-08-02 07:56 PDT, Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01)
bzbarsky: review+
Details | Diff | Splinter Review

Description Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01) 2011-08-02 06:04:42 PDT
Forgot to restart the loop when nsTreeSanitizer::SanitizeURL removes an attribute.
Comment 1 Boris Zbarsky [:bz] 2011-08-02 07:21:41 PDT
Henri, are you taking this?
Comment 2 Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01) 2011-08-02 07:54:47 PDT
Created attachment 550075 [details] [diff] [review]
Restart the loop when an URL attribute is removed

(In reply to comment #1)
> Henri, are you taking this?

Yes, I forgot flip fields before the try run finished.
Comment 3 Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01) 2011-08-02 07:56:18 PDT
Created attachment 550076 [details] [diff] [review]
Restart the loop when an URL attribute is removed, with proper indent
Comment 4 Boris Zbarsky [:bz] 2011-08-02 07:59:08 PDT
Comment on attachment 550076 [details] [diff] [review]
Restart the loop when an URL attribute is removed, with proper indent

r=me
Comment 5 Henri Sivonen (:hsivonen) (Not doing reviews or reading bugmail until 2016-08-01) 2011-08-02 10:49:07 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/987e42035f38
Comment 6 Marco Bonardo [::mak] (Away 6-20 Aug) 2011-08-03 02:14:59 PDT
http://hg.mozilla.org/mozilla-central/rev/987e42035f38

Note You need to log in before you can comment on or make changes to this bug.